<div class="table-container">
	<table mat-table [dataSource]="beers" class="mat-elevation-z8">
		<ng-container matColumnDef="name">
			<th mat-header-cell *matHeaderCellDef>Nom</th>
			<td mat-cell *matCellDef="let beer"> {{beer.title}}</td>
			<td mat-footer-cell *matFooterCellDef> {{(nbBeer$ | async)}} bières</td>
		</ng-container>

		<ng-container matColumnDef="degrees">
			<th mat-header-cell *matHeaderCellDef> Degrés</th>
			<td mat-cell *matCellDef="let beer"> {{beer.abv}}</td>
			<td mat-footer-cell *matFooterCellDef></td>
		</ng-container>

		<ng-container matColumnDef="country">
			<th mat-header-cell *matHeaderCellDef>Pays</th>
			<td mat-cell *matCellDef="let beer"> {{beer.country.title}}</td>
			<td mat-footer-cell *matFooterCellDef> {{(nbCountrie$ | async)}} pays</td>
		</ng-container>

		<ng-container matColumnDef="brewery">
			<th mat-header-cell *matHeaderCellDef>Brasserie</th>
			<td mat-cell *matCellDef="let beer"> {{beer.brewery.title}}</td>
			<td mat-footer-cell *matFooterCellDef> {{(nbBrewerie$ | async)}} brasseries</td>
		</ng-container>

		<tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
		<tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
		<tr mat-footer-row *matFooterRowDef="displayedColumns"></tr>
	</table>
</div>